> ## Documentation Index
> Fetch the complete documentation index at: https://docs.openhands.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Remove Org Member

> Remove a member from an organization.

Only owners and admins can remove members:
- Owners can remove admins and regular users
- Admins can only remove regular users

Users cannot remove themselves. The last owner cannot be removed.



## OpenAPI

````yaml /openapi/openhands-cloud.json delete /api/organizations/{org_id}/members/{user_id}
openapi: 3.1.0
info:
  title: OpenHands
  description: 'OpenHands: Code Less, Make More'
  version: 0.0.1
servers: []
security: []
paths:
  /api/organizations/{org_id}/members/{user_id}:
    delete:
      tags:
        - Orgs
      summary: Remove Org Member
      description: |-
        Remove a member from an organization.

        Only owners and admins can remove members:
        - Owners can remove admins and regular users
        - Admins can only remove regular users

        Users cannot remove themselves. The last owner cannot be removed.
      operationId: remove_org_member_api_organizations__org_id__members__user_id__delete
      parameters:
        - name: org_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Org Id
        - name: user_id
          in: path
          required: true
          schema:
            type: string
            title: User Id
        - name: X-Org-Id
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Org-Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-Access-Token

````